SDL_SignalSemaphore(3)

NAME
SDL_SignalSemaphore - Atomically increment a semaphore's value and wake waiting threads.

SYNOPSIS
#include <SDL3/SDL_mutex.h>

void SDL_SignalSemaphore(SDL_Semaphore *sem);

FUNCTION PARAMETERS

sem the semaphore to increment.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_TryWaitSemaphore(3), SDL_WaitSemaphore(3), SDL_WaitSemaphoreTimeout(3)